> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Banned Members

> Banned Members — CometChat documentation.

## Overview

`CometChatBannedMembers` is a [Component](/ui-kit/react/v4/components-overview#components) that displays all the users who have been restricted or prohibited from participating in specific groups or conversations. When the user is banned, they are no longer able to access or engage with the content and discussions within the banned group. Group administrators or owners have the authority to ban members from specific groups they manage. They can review user activity, monitor behavior, and take appropriate actions, including banning users when necessary.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/Q-VZaihy61fy3D_G/images/20ba9bd4-banned_members_overview_web_screens-83d0481c87cfb25e6f6e492f28e1cbcf.png?fit=max&auto=format&n=Q-VZaihy61fy3D_G&q=85&s=d5607116f176302a3614a4ed407ea16b" width="3600" height="2400" data-path="images/20ba9bd4-banned_members_overview_web_screens-83d0481c87cfb25e6f6e492f28e1cbcf.png" />
</Frame>

***

## Usage

### Integration

The following code snippet illustrates how you can directly incorporate the Banned Members component into your Application.

<Tabs>
  <Tab title="BannedMembersDemo.tsx">
    ```typescript theme={null}

    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { CometChatBannedMembers } from '@cometchat/chat-uikit-react'
    import React from 'react'

    const BannedMembersDemo = () => {

        const [chatGroup, setChatGroup] = React.useState<CometChat.Group | undefined>();

        React.useEffect(() => {
            CometChat.getGroup("uid").then((group) => {
                setChatGroup(group);
            })
        }, []);
        return (
            <>
                {
                    chatGroup &&
                    <CometChatBannedMembers
                        group={chatGroup}
                    />
                }
            </>
        )
    }

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="App.tsx">
    ```typescript theme={null}
    import { BannedMembersDemo } from "./BannedMembersDemo";

    export default function App() {
      return (
        <div className="App">
          <BannedMembersDemo />
        </div>
      );
    }
    ```
  </Tab>
</Tabs>

***

### Actions

[Actions](/ui-kit/react/v4/components-overview#actions) dictate how a component functions. They are divided into two types: Predefined and User-defined. You can override either type, allowing you to tailor the behavior of the component to fit your specific needs.

#### 1. onSelect

The `onSelect` action is activated when you select the done icon while in selection mode. This returns a list of all the banned members that you have selected.

This action does not come with any predefined behavior. However, you have the flexibility to override this event and tailor it to suit your needs using the following code snippet.

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      function handleOnSelect(
        bannedMember: CometChat.GroupMember,
        selected: boolean
      ): void {
        console.log(bannedMember);
        //your custom onSelect actions
      }
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers group={chatGroup} onSelect={handleOnSelect} />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      function handleOnSelect(bannedMember, selected) {
        console.log(bannedMember);
        //your custom onSelect actions
      }
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers group={chatGroup} onSelect={handleOnSelect} />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

#### 2. onItemClick

The `OnItemClick` event is activated when you click on the Banned Members List item. This action does not come with any predefined behavior. However, you have the flexibility to override this event and tailor it to suit your needs using the following code snippet.

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      function handleOnItemClick(bannedMember: CometChat.GroupMember): void {
        console.log(bannedMember);
        //Your Custom on item click actions
      }
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              onItemClick={handleOnItemClick}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      function handleOnItemClick(bannedMember) {
        console.log(bannedMember);
        //Your Custom on item click actions
      }
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              onItemClick={handleOnItemClick}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

#### 3. OnBack

`OnBack` is triggered when you click on the back button of the Banned Members component. You can override this action using the following code snippet.

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      function handleOnBack(): void {
        //Your Custom onBack actions
      }
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers group={chatGroup} onBack={handleOnBack} />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      function handleOnBack() {
        //Your Custom onBack actions
      }
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers group={chatGroup} onBack={handleOnBack} />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

#### 4. onClose

`onClose` is triggered when you click on the close button of the Banned Members component. You can override this action using the following code snippet.

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      function handleOnClose(): void {
        //Your Custom onClose actions
      }
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers group={chatGroup} onClose={handleOnClose} />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      function handleOnClose() {
        //Your Custom onBack actions
      }
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers group={chatGroup} onClose={handleOnClose} />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

#### 5. onError

This action doesn't change the behavior of the component but rather listens for any errors that occur in the Banned Members component.

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      function handleOnError(error: CometChat.CometChatException): void {
        //Your Custom onError actionssss
      }
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers group={chatGroup} onError={handleOnError} />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      function handleOnError(error) {
        //Your Custom onError actions
      }
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers group={chatGroup} onError={handleOnError} />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

***

### Filters

**Filters** allow you to customize the data displayed in a list within a Component. You can filter the list based on your specific criteria, allowing for a more customized. Filters can be applied using RequestBuilders of Chat SDK.

#### 1. BannedMembersRequestBuilder

The [BannedMembersRequestBuilder](/sdk/javascript/group-kick-ban-members) enables you to filter and customize the Banned Members list based on available parameters in BannedMembersRequestBuilder. This feature allows you to create more specific and targeted queries when fetching banned members. The following are the parameters available in [BannedMembersRequestBuilder](/sdk/javascript/group-kick-ban-members)

| Methods              | Type           | Description                                                                                        |
| -------------------- | -------------- | -------------------------------------------------------------------------------------------------- |
| **setLimit**         | number         | sets the number of banned members that can be fetched in a single request, suitable for pagination |
| **setSearchKeyword** | String         | used for fetching banned members matching the passed string                                        |
| **setScopes**        | Array\<String> | used for fetching banned members based on multiple scopes                                          |

**Example**

In the example below, we are applying a filter to the banned members by setting the limit to 2 and setting the scope to show only the moderator.

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              bannedMembersRequestBuilder={new CometChat.BannedMembersRequestBuilder(
                "guid"
              )
                .setLimit(2)
                .setScopes(["moderator"])}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              bannedMembersRequestBuilder={new CometChat.BannedMembersRequestBuilder(
                "guid"
              )
                .setLimit(2)
                .setScopes(["moderator"])}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

#### 2. SearchRequestBuilder

The SearchRequestBuilder uses [BannedMembersRequestBuilder](/sdk/javascript/group-kick-ban-members) enables you to filter and customize the search list based on available parameters in BannedMembersRequestBuilder. This feature allows you to keep uniformity between the displayed Banned Members list and searched Banned Members.

**Example**

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              searchRequestBuilder={new CometChat.BannedMembersRequestBuilder(
                "guid"
              )
                .setLimit(2)
                .setSearchKeyword("**")}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              searchRequestBuilder={new CometChat.BannedMembersRequestBuilder(
                "guid"
              )
                .setLimit(2)
                .setSearchKeyword("**")}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

***

### Events

[Events](/ui-kit/react/v4/components-overview#events) are emitted by a `Component`. By using event you can extend existing functionality. Being global events, they can be applied in Multiple Locations and are capable of being Added or Removed.

The `Banned Members` component does not produce any events.

***

## Customization

To fit your app's design requirements, you can customize the appearance of the Groups component. We provide exposed methods that allow you to modify the experience and behavior according to your specific needs.

### Style

Using **Style** you can **customize** the look and feel of the component in your app, These parameters typically control elements such as the **color**, **size**, **shape**, and **fonts** used within the component.

#### 1. BannedMembers Style

You can set the `BannedMembersStyle` to the Banned Members Component to customize the styling.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/iII-209mTdOytBSH/images/eea54262-banned_members_style_web_screens-b22051f809cb8ef3062af5de95b49726.png?fit=max&auto=format&n=iII-209mTdOytBSH&q=85&s=b812141a068e9cff8b580c77f1132f60" width="3600" height="2400" data-path="images/eea54262-banned_members_style_web_screens-b22051f809cb8ef3062af5de95b49726.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatBannedMembers,
      BannedMembersStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const bannedMemberStyle = new BannedMembersStyle({
        background: "#d6b9fa",
        titleTextColor: "#ffffff",
        separatorColor: "#6d1fcf",
        onlineStatusColor: "#b1f029",
      });
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              bannedMemberStyle={bannedMemberStyle}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatBannedMembers,
      BannedMembersStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const bannedMemberStyle = new BannedMembersStyle({
        background: "#d6b9fa",
        titleTextColor: "#ffffff",
        separatorColor: "#6d1fcf",
        onlineStatusColor: "#b1f029",
      });
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              bannedMemberStyle={bannedMemberStyle}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

List of properties exposed by BannedMembersStyle

| Property                       | Description                          | Code                                   |
| ------------------------------ | ------------------------------------ | -------------------------------------- |
| **border**                     | Used to set border                   | `border?: string,`                     |
| **borderRadius**               | Used to set border radius            | `borderRadius?: string;`               |
| **background**                 | Used to set background colour        | `background?: string;`                 |
| **height**                     | Used to set height                   | `height?: string;`                     |
| **width**                      | Used to set width                    | `width?: string;`                      |
| **titleTextFont**              | Used to set title text font          | `titleTextFont?: string,`              |
| **titleTextColor**             | Used to set title text color         | `titleTextColor?: string;`             |
| **searchPlaceholderTextFont**  | Used to set search placeholder font  | `searchPlaceholderTextFont?: string;`  |
| **searchPlaceholderTextColor** | Used to set search placeholder color | `searchPlaceholderTextColor?: string;` |
| **searchTextFont**             | Used to set search text font         | `searchTextFont?: string;`             |
| **searchTextColor**            | Used to set search text color        | `searchTextColor?: string;`            |
| **emptyStateTextFont**         | Used to set empty state text font    | `emptyStateTextFont?: string;`         |
| **emptyStateTextColor**        | Used to set empty state text color   | `emptyStateTextColor?: string;`        |
| **errorStateTextFont**         | Used to set error state text font    | `errorStateTextFont?: string;`         |
| **errorStateTextColor**        | Used to set error state text color   | `errorStateTextColor?: string;`        |
| **loadingIconTint**            | Used to set loading icon tint        | `loadingIconTint?: string;`            |
| **searchIconTint**             | Used to set search icon tint         | `searchIconTint?: string;`             |
| **searchBorder**               | Used to set search border            | `searchBorder?: string;`               |
| **searchBorderRadius**         | Used to set search border radius     | `searchBorderRadius?: string;`         |
| **searchBackground**           | Used to set search background color  | `searchBackground?: string;`           |
| **onlineStatusColor**          | Used to set online status color      | `onlineStatusColor?: string;`          |
| **separatorColor**             | Used to set separator color          | `separatorColor?: string;`             |
| **boxShadow**                  | Used to set box shadow               | `boxShadow?: string;`                  |
| **backButtonIconTint**         | Used to set back button icon tint    | `backButtonIconTint?: string;`         |
| **closeButtonIconTint**        | Used to set close button icon tint   | `closeButtonIconTint?: string;`        |
| **unbanIconTint**              | Used to set unban icon tint          | `unbanIconTint?: string;`              |
| **padding**                    | Used to set padding                  | `padding?: string;`                    |

#### 2. Avatar Style

To apply customized styles to the `Avatar` component in the Banned Members Component, you can use the following code snippet. For further insights on `Avatar` Styles [refer](/ui-kit/react/v4/avatar#avatar-style)

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatBannedMembers,
      AvatarStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const avatarStyle = new AvatarStyle({
        backgroundColor: "#cdc2ff",
        border: "2px solid #6745ff",
        borderRadius: "10px",
        outerViewBorderColor: "#ca45ff",
        outerViewBorderRadius: "5px",
        nameTextColor: "#4554ff",
      });
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers group={chatGroup} avatarStyle={avatarStyle} />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatBannedMembers,
      AvatarStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const avatarStyle = new AvatarStyle({
        backgroundColor: "#cdc2ff",
        border: "2px solid #6745ff",
        borderRadius: "10px",
        outerViewBorderColor: "#ca45ff",
        outerViewBorderRadius: "5px",
        nameTextColor: "#4554ff",
      });
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers group={chatGroup} avatarStyle={avatarStyle} />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

#### 3. LisItem Style

To apply customized styles to the `ListItemStyle` component in the `Banned Members` Component, you can use the following code snippet. For further insights on `ListItemStyle` Styles [refer](/ui-kit/react/v4/list-item)

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatBannedMembers,
      ListItemStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const listItemStyle = new ListItemStyle({
        width: "100%",
        height: "100%",
        border: "2px solid #cdc2ff",
      });
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              listItemStyle={listItemStyle}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatBannedMembers,
      ListItemStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const listItemStyle = new ListItemStyle({
        width: "100%",
        height: "100%",
        border: "2px solid #cdc2ff",
      });
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              listItemStyle={listItemStyle}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

#### 4. StatusIndicator Style

To apply customized styles to the Status Indicator component in the Banned Members Component, You can use the following code snippet. For further insights on Status Indicator Styles [refer](/ui-kit/react/v4/status-indicator)

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const statusIndicatorStyle = {
        background: "#db35de",
        height: "10px",
        width: "10px",
      };
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              statusIndicatorStyle={statusIndicatorStyle}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const statusIndicatorStyle = {
        background: "#db35de",
        height: "10px",
        width: "10px",
      };
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              statusIndicatorStyle={statusIndicatorStyle}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

***

### Functionality

These are a set of small functional customizations that allow you to fine-tune the overall experience of the component. With these, you can change text, set custom icons, and toggle the visibility of UI elements.

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              title="Your Custom Title"
              titleAlignment={TitleAlignment.left}
              unbanIconURL="Your Custom Unban Icon URL"
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              title="Your Custom Title"
              titleAlignment={TitleAlignment.left}
              unbanIconURL="Your Custom Unban Icon URL"
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/SNc1XUNfZQ5aQj_q/images/ffe6c712-banned_members_functionality_default_web_screens-08ae3ebd35f8c52f2dbbe5d917df76ca.png?fit=max&auto=format&n=SNc1XUNfZQ5aQj_q&q=85&s=870ee9c4a7b86c41cfeebb8238bfbfca" width="3600" height="2400" data-path="images/ffe6c712-banned_members_functionality_default_web_screens-08ae3ebd35f8c52f2dbbe5d917df76ca.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/bUk-WwSNpBXF92Yc/images/dd3d0ec7-banned_members_functionality_custom_web_screens-11f8be1e082f655a7c9e3a83a95da284.png?fit=max&auto=format&n=bUk-WwSNpBXF92Yc&q=85&s=94c23823fb56422ed33bc8b79d7d0148" width="3600" height="2400" data-path="images/dd3d0ec7-banned_members_functionality_custom_web_screens-11f8be1e082f655a7c9e3a83a95da284.png" />
</Frame>

Below is a list of customizations along with corresponding code snippets

| Property                         | Description                                                                                           | Code                                              |
| -------------------------------- | ----------------------------------------------------------------------------------------------------- | ------------------------------------------------- |
| **title** [report]()             | Used to set title in the app heading                                                                  | `title="Your Custom Title"`                       |
| **errorStateText** [report]()    | Used to set a custom text response when some error occurs on fetching the list of banned members      | `errorStateText="your custom error state text"`   |
| **emptyStateText** [report]()    | Used to set a custom text response when fetching the banned members has returned an empty list        | `emptyStateText="your custom empty state text"`   |
| **searchPlaceholder** [report]() | Used to set custom search placeholder text                                                            | `searchPlaceholder='Custom Search PlaceHolder'`   |
| **unbanIconURL**                 | Used to set the Unban button Icon in the banned user lists                                            | `unbanIconURL='Your Custom Unban Icon URL'`       |
| **searchIconURL**                | Used to set search Icon in the search field                                                           | `searchIconURL="Your Custom search icon"`         |
| **loadingIconURL**               | Used to set loading Icon                                                                              | `loadingIconURL="your custom loading icon url"`   |
| **closeButtonIconURL**           | Used to set close button Icon                                                                         | `closeButtonIconURL="your custom close icon url"` |
| **backButtonIconURL**            | Used to set the back button Icon                                                                      | `backButtonIconURL='Your Custom back Icon'`       |
| **hideError**                    | Used to hide error on fetching banned members                                                         | `hideError={true}`                                |
| **hideSearch**                   | Used to toggle visibility for search box                                                              | `hideSearch={true}"`                              |
| **hideSeparator**                | Used to hide the divider separating the banned member items                                           | `hideSeparator={true}`                            |
| **disableUsersPresence**         | Used to toggle functionality to show user's presence                                                  | `disableUsersPresence={true}`                     |
| **showBackButton**               | Hides / shows the back button as per the boolean value                                                | `showBackButton={true}`                           |
| **selectionMode**                | set the number of banned members that can be selected, SelectionMode can be single, multiple or none. | `selectionMode={SelectionMode.multiple}`          |
| **titleAlignment**               | Alignment of the heading text for the component                                                       | `titleAlignment={TitleAlignment.center}`          |
| **group** [report]()             | Used to pass group object of which group members will be shown                                        | `group={chatGroup}`                               |

***

### Advance

For advanced-level customization, you can set custom views to the component. This lets you tailor each aspect of the component to fit your exact needs and application aesthetics. You can create and define your views, layouts, and UI elements and then incorporate those into the component.

***

#### ListItemView

With this property, you can assign a custom ListItem to the Banned Members Component.

```javascript theme={null}
listItemView = { getListItemView };
```

**Example**

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/KVBs_L3B6NmQumhv/images/0896c8d2-banned_members_listitemview_default_web_screens-15a05c12fb765eaa70e7b96a72f7ec26.png?fit=max&auto=format&n=KVBs_L3B6NmQumhv&q=85&s=748832e385168501fce04f2f76f9d2bb" width="3600" height="2400" data-path="images/0896c8d2-banned_members_listitemview_default_web_screens-15a05c12fb765eaa70e7b96a72f7ec26.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/nUllIo1r4Bhce7kY/images/33cce937-banned_members_listitemview_custom_web_screens-7cbeab1a7200f2bddfa53aafab52e630.png?fit=max&auto=format&n=nUllIo1r4Bhce7kY&q=85&s=c742b3f1440d1dd40d3f3dcba8ba12a0" width="3600" height="2400" data-path="images/33cce937-banned_members_listitemview_custom_web_screens-7cbeab1a7200f2bddfa53aafab52e630.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getListItemView = (bannedMember: CometChat.GroupMember) => {
        return (
          <div
            style={{
              display: "flex",
              alignItems: "left",
              padding: "10px",
              border: "2px solid #e9baff",
              borderRadius: "20px",
              background: "#6e2bd9",
            }}
          >
            <cometchat-avatar
              image={bannedMember.getAvatar()}
              name={bannedMember.getName()}
            />

            <div style={{ display: "flex", paddingLeft: "10px" }}>
              <div
                style={{ fontWeight: "bold", color: "#ffffff", fontSize: "14px" }}
              >
                {bannedMember.getName()}
                <div
                  style={{ color: "#ffffff", fontSize: "10px", textAlign: "left" }}
                >
                  {bannedMember.getStatus()}
                </div>
              </div>
            </div>
          </div>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              listItemView={getListItemView}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getListItemView = (bannedMember) => {
        return (
          <div
            style={{
              display: "flex",
              alignItems: "left",
              padding: "10px",
              border: "2px solid #e9baff",
              borderRadius: "20px",
              background: "#6e2bd9",
            }}
          >
            <cometchat-avatar
              image={bannedMember.getAvatar()}
              name={bannedMember.getName()}
            />

            <div style={{ display: "flex", paddingLeft: "10px" }}>
              <div
                style={{ fontWeight: "bold", color: "#ffffff", fontSize: "14px" }}
              >
                {bannedMember.getName()}
                <div
                  style={{ color: "#ffffff", fontSize: "10px", textAlign: "left" }}
                >
                  {bannedMember.getStatus()}
                </div>
              </div>
            </div>
          </div>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              listItemView={getListItemView}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

***

#### SubtitleView

You can customize the subtitle view for each banned members to meet your requirements

```javascript theme={null}
subtitleView = { getSubtitleView };
```

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/DVg4aTljRFe0drLF/images/2296ebe3-banned_members_subtitleview_default_web_screens-83d0481c87cfb25e6f6e492f28e1cbcf.png?fit=max&auto=format&n=DVg4aTljRFe0drLF&q=85&s=4dd4c98800fec9be63acd0a48b79b882" width="3600" height="2400" data-path="images/2296ebe3-banned_members_subtitleview_default_web_screens-83d0481c87cfb25e6f6e492f28e1cbcf.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/y8uIEcRYKgfQIY6z/images/9b258933-banned_members_subtitleview_custom_web_screens-bf53645847810d6fe1f5b483cacfdadb.png?fit=max&auto=format&n=y8uIEcRYKgfQIY6z&q=85&s=24c9e34f571a0ad48d18e6c2670a9d04" width="3600" height="2400" data-path="images/9b258933-banned_members_subtitleview_custom_web_screens-bf53645847810d6fe1f5b483cacfdadb.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getSubtitleView = (
        bannedMember: CometChat.GroupMember
      ): JSX.Element => {
        function formatTime(timestamp: number) {
          const date = new Date(timestamp * 1000);
          return date.toLocaleString();
        }
        if (bannedMember instanceof CometChat.GroupMember) {
          return (
            <div
              style={{
                display: "flex",
                alignItems: "left",
                padding: "2px",
                fontSize: "10px",
              }}
            >
              <div style={{ color: "gray" }}>
                Last Active At: {formatTime(bannedMember.getLastActiveAt())}
              </div>
            </div>
          );
        } else {
          return <></>;
        }
      };
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              subtitleView={getSubtitleView}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getSubtitleView = (bannedMember) => {
        function formatTime(timestamp) {
          const date = new Date(timestamp * 1000);
          return date.toLocaleString();
        }
        if (bannedMember instanceof CometChat.GroupMember) {
          return (
            <div
              style={{
                display: "flex",
                alignItems: "left",
                padding: "2px",
                fontSize: "10px",
              }}
            >
              <div style={{ color: "gray" }}>
                Last Active At: {formatTime(bannedMember.getLastActiveAt())}
              </div>
            </div>
          );
        } else {
          return <></>;
        }
      };
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              subtitleView={getSubtitleView}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

#### LoadingStateView

You can set a custom loader view using `loadingStateView` to match the loading view of your app.

```javascript theme={null}
loadingStateView={getLoadingStateView()}
```

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/gHkTur1I2BmQKdRR/images/071fb3cb-banned_members_loadingview_default_web_screens-bc9c9ec724aab0a59cf5ca443880c614.png?fit=max&auto=format&n=gHkTur1I2BmQKdRR&q=85&s=99138888a1122944b479087de9285097" width="3600" height="2400" data-path="images/071fb3cb-banned_members_loadingview_default_web_screens-bc9c9ec724aab0a59cf5ca443880c614.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/COIVd1spJ2SNEi43/images/9f8a8718-banned_members_loadingview_custom_web_screens-b12d367adb1838ae1e401c000f39e594.png?fit=max&auto=format&n=COIVd1spJ2SNEi43&q=85&s=8c9aaa3392b59aa8d54339660c623ba8" width="3600" height="2400" data-path="images/9f8a8718-banned_members_loadingview_custom_web_screens-b12d367adb1838ae1e401c000f39e594.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatBannedMembers,
      LoaderStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getLoadingStateView = () => {
        const getLoaderStyle = new LoaderStyle({
          iconTint: "#890aff",
          background: "transparent",
          height: "100vh",
          width: "100vw",
        });

        return (
          <cometchat-loader
            iconURL="icon"
            loaderStyle={JSON.stringify(getLoaderStyle)}
          ></cometchat-loader>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              loadingStateView={getLoadingStateView()}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatBannedMembers,
      LoaderStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getLoadingStateView = () => {
        const getLoaderStyle = new LoaderStyle({
          iconTint: "#890aff",
          background: "transparent",
          height: "100vh",
          width: "100vw",
        });

        return (
          <cometchat-loader
            iconURL="icon"
            loaderStyle={JSON.stringify(getLoaderStyle)}
          ></cometchat-loader>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              loadingStateView={getLoadingStateView()}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

#### EmptyStateView

You can set a custom `EmptyStateView` using `emptyStateView` to match the empty view of your app.

```javascript theme={null}
emptyStateView={getEmptyStateView()}
```

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/v4EbHQCGZ54oJcmr/images/56fd6805-banned_members_empty_stateview_default_web_screens-fbec0141c30825b0c3defdec7d47f10e.png?fit=max&auto=format&n=v4EbHQCGZ54oJcmr&q=85&s=76bd1b41b79370fd2ea719799dde031b" width="3600" height="2400" data-path="images/56fd6805-banned_members_empty_stateview_default_web_screens-fbec0141c30825b0c3defdec7d47f10e.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/tI1D0nyKUVcz2LEZ/images/c42b1df7-banned_members_empty_stateview_custom_web_screens-07e3cd903be5a7d6a03b51a15e032579.png?fit=max&auto=format&n=tI1D0nyKUVcz2LEZ&q=85&s=adf4b23d613a8600f4c5ccfa2d4bdde9" width="3600" height="2400" data-path="images/c42b1df7-banned_members_empty_stateview_custom_web_screens-07e3cd903be5a7d6a03b51a15e032579.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getEmptyStateView = () => {
        return (
          <div style={{ color: "#d6cfff", fontSize: "30px", font: "bold" }}>
            Your Custom Empty State
          </div>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              emptyStateView={getEmptyStateView()}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getEmptyStateView = () => {
        return (
          <div style={{ color: "#d6cfff", fontSize: "30px", font: "bold" }}>
            Your Custom Empty State
          </div>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              emptyStateView={getEmptyStateView()}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

***

#### ErrorStateView

You can set a custom `ErrorStateView` using `errorStateView` to match the error view of your app.

```javascript theme={null}
errorSateView={getErrorStateView()}
```

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/gHkTur1I2BmQKdRR/images/05d46901-banned_members_error_stateview_default_web_screens-dd35e6a4f4f95224224c292ec41f2b97.png?fit=max&auto=format&n=gHkTur1I2BmQKdRR&q=85&s=8800a584f9d446686b3b7c81c05de9a3" width="3600" height="2400" data-path="images/05d46901-banned_members_error_stateview_default_web_screens-dd35e6a4f4f95224224c292ec41f2b97.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/t35Dbaum6Rkuz_d5/images/17dd3316-banned_members_error_stateview_custom_web_screens-3ea23993a72cd1ff6d23d2c5f37bf18a.png?fit=max&auto=format&n=t35Dbaum6Rkuz_d5&q=85&s=2fa03a63c4f0bceb38f35a44544400b8" width="3600" height="2400" data-path="images/17dd3316-banned_members_error_stateview_custom_web_screens-3ea23993a72cd1ff6d23d2c5f37bf18a.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getErrorStateView = () => {
        return (
          <div style={{ height: "100vh", width: "100vw" }}>
            <img
              src="image"
              alt="error icon"
              style={{
                height: "100px",
                width: "100px",
                marginTop: "250px",
                justifyContent: "center",
              }}
            ></img>
          </div>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              errorStateView={getErrorStateView()}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getErrorStateView = () => {
        return (
          <div style={{ height: "100vh", width: "100vw" }}>
            <img
              src="image"
              alt="error icon"
              style={{
                height: "100px",
                width: "100px",
                marginTop: "250px",
                justifyContent: "center",
              }}
            ></img>
          </div>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              errorStateView={getErrorStateView()}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

***

#### Menus

You can set the Custom Menu view to add more options to the Banned Members component.

```javascript theme={null}
menus={getMenus()}
```

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/7-hZ4AEh99NJJtEC/images/969aa561-banned_members_menus_web_screens-c74df9a73655c396eb6a80658e38fadd.png?fit=max&auto=format&n=7-hZ4AEh99NJJtEC&q=85&s=d9b06bc4c3f5ad6769c58245cdd378a9" width="3600" height="2400" data-path="images/969aa561-banned_members_menus_web_screens-c74df9a73655c396eb6a80658e38fadd.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getMenus = () => {
        const handleReload = () => {
          window.location.reload();
        };
        const getButtonStyle = () => {
          return {
            height: "20px",
            width: "20px",
            border: "none",
            borderRadius: "0",
            background: "transparent",
            buttonIconTint: "#7E57C2",
          };
        };
        return (
          <div style={{ marginRight: "20px" }}>
            <cometchat-button
              iconURL="icon"
              buttonStyle={JSON.stringify(getButtonStyle())}
              onClick={handleReload}
            >
              {" "}
            </cometchat-button>
          </div>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers group={chatGroup} menus={getMenus()} />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      const getMenus = () => {
        const handleReload = () => {
          window.location.reload();
        };
        const getButtonStyle = () => {
          return {
            height: "20px",
            width: "20px",
            border: "none",
            borderRadius: "0",
            background: "transparent",
            buttonIconTint: "#7E57C2",
          };
        };
        return (
          <div style={{ marginRight: "20px" }}>
            <cometchat-button
              iconURL="icon"
              buttonStyle={JSON.stringify(getButtonStyle())}
              onClick={handleReload}
            >
              {" "}
            </cometchat-button>
          </div>
        );
      };
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers group={chatGroup} menus={getMenus()} />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

***

#### Options

You can set the Custom options to the Banned Members component.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/veBAxaR1km9EBnSg/images/3971b1ef-banned_members_options_web_screens-01dec70c8e7aaa42a176e599d0c71520.png?fit=max&auto=format&n=veBAxaR1km9EBnSg&q=85&s=03fd656be42851052f109fd8857da26f" width="3600" height="2400" data-path="images/3971b1ef-banned_members_options_web_screens-01dec70c8e7aaa42a176e599d0c71520.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    BannedMembersDemo.tsx

    ```typescript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatBannedMembers,
      CometChatOption,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = React.useState<
        CometChat.Group | undefined
      >();

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              options={(bannedMember: CometChat.GroupMember) => {
                const customOptions = [
                  new CometChatOption({
                    id: "1",
                    title: "Title",
                    iconURL: "icon",
                    backgroundColor: "transparent",
                    onClick: () => {
                      console.log("Custom option clicked:", bannedMember);
                    },
                    iconTint: "#890aff",
                    titleColor: "blue",
                  }),
                ];
                return customOptions;
              }}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    BannedMembersDemo.jsx

    ```javascript theme={null}
    import { CometChat } from "@cometchat/chat-sdk-javascript";
    import {
      CometChatBannedMembers,
      CometChatOption,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const BannedMembersDemo = () => {
      const [chatGroup, setChatGroup] = useState(null);

      React.useEffect(() => {
        CometChat.getGroup("uid").then((group) => {
          setChatGroup(group);
        });
      }, []);
      return (
        <>
          {chatGroup && (
            <CometChatBannedMembers
              group={chatGroup}
              options={(bannedMember) => {
                const customOptions = [
                  new CometChatOption({
                    id: "1",
                    title: "Title",
                    iconURL: "icon",
                    backgroundColor: "transparent",
                    onClick: () => {
                      console.log("Custom option clicked:", bannedMember);
                    },
                    iconTint: "#890aff",
                    titleColor: "blue",
                  }),
                ];
                return customOptions;
              }}
            />
          )}
        </>
      );
    };

    export default BannedMembersDemo;
    ```
  </Tab>
</Tabs>

***


> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Banned Members

> Banned Members — CometChat documentation.

## Overview

`CometChatBannedMembers` is a [Component](/docs/ui-kit/angular/v4/components-overview#components) that displays all the users who have been restricted or prohibited from participating in specific groups or conversations. When the user is banned, they are no longer able to access or engage with the content and discussions within the banned group. Group administrators or owners have the authority to ban members from specific groups they manage. They can review user activity, monitor behavior, and take appropriate actions, including banning users when necessary.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/Q-VZaihy61fy3D_G/images/20ba9bd4-banned_members_overview_web_screens-83d0481c87cfb25e6f6e492f28e1cbcf.png?fit=max&auto=format&n=Q-VZaihy61fy3D_G&q=85&s=d5607116f176302a3614a4ed407ea16b" width="3600" height="2400" data-path="images/20ba9bd4-banned_members_overview_web_screens-83d0481c87cfb25e6f6e492f28e1cbcf.png" />
</Frame>

***

## Usage

### Integration

The following code snippet illustrates how you can directly incorporate the Banned Members component into your Application.

<Tabs>
  <Tab title="app.module.ts">
    ```ts theme={null}
    import { CUSTOM_ELEMENTS_SCHEMA, NgModule } from "@angular/core";
    import { BrowserModule } from "@angular/platform-browser";
    import { CometChatBannedMembers } from "@cometchat/chat-uikit-angular";
    import { AppComponent } from "./app.component";

    @NgModule({
      imports: [BrowserModule, CometChatBannedMembers],
      declarations: [AppComponent],
      providers: [],
      bootstrap: [AppComponent],
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
    })
    export class AppModule {}
    ```
  </Tab>

  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
      ></cometchat-banned-members>
    </div>
    ```
  </Tab>
</Tabs>

***

### Actions

[Actions](/docs/ui-kit/angular/v4/components-overview#actions) dictate how a component functions. They are divided into two types: Predefined and User-defined. You can override either type, allowing you to tailor the behavior of the component to fit your specific needs.

##### 1. onSelect

The `onSelect` action is activated when you select the done icon while in selection mode. This returns a list of all the banned members that you have selected.

This action does not come with any predefined behavior. However, you have the flexibility to override this event and tailor it to suit your needs using the following code snippet.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      public handleOnSelect = (member: CometChat.GroupMember, selected: boolean) => {
        console.log("your custom on select actions",member, selected);
      };
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [onSelect]="handleOnSelect"
      ></cometchat-banned-members>
    </div>
    ```
  </Tab>
</Tabs>

##### 2. OnBack

`OnBack` is triggered when you click on the back button of the Banned Members component. You can override this action using the following code snippet.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      public handleOnBack = () => {
        console.log("Your custom on back action");
      }
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [onBack]="handleOnBack"
      ></cometchat-banned-members>
    </div>
    ```
  </Tab>
</Tabs>

##### 3. onClose

`onClose` is triggered when you click on the close button of the Banned Members component. You can override this action using the following code snippet.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      public handleOnClose = () => {
        console.log("Your custom on close actions");
      }
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [onClose]="handleOnClose"
      ></cometchat-banned-members>
    </div>
    ```
  </Tab>
</Tabs>

##### 4. onError

This action doesn't change the behavior of the component but rather listens for any errors that occur in the Banned Members component.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      public handleOnError = (error: CometChat.CometChatException) => {
        console.log("your custom on error action", error);
      };
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [onError]="handleOnError"
      ></cometchat-banned-members>
    </div>
    ```
  </Tab>
</Tabs>

***

### Filters

**Filters** allow you to customize the data displayed in a list within a Component. You can filter the list based on your specific criteria, allowing for a more customized. Filters can be applied using RequestBuilders of Chat SDK.

##### 1. BannedMembersRequestBuilder

The [BannedMembersRequestBuilder](/docs/sdk/javascript/group-kick-ban-members) enables you to filter and customize the Banned Members list based on available parameters in BannedMembersRequestBuilder. This feature allows you to create more specific and targeted queries when fetching banned members. The following are the parameters available in [BannedMembersRequestBuilder](/docs/sdk/javascript/group-kick-ban-members)

| Methods              | Type           | Description                                                                                        |
| -------------------- | -------------- | -------------------------------------------------------------------------------------------------- |
| **setLimit**         | number         | sets the number of banned members that can be fetched in a single request, suitable for pagination |
| **setSearchKeyword** | String         | used for fetching banned members matching the passed string                                        |
| **setScopes**        | Array\<String> | used for fetching banned members based on multiple scopes                                          |

**Example**

In the example below, we are applying a filter to the banned members by setting the limit to 2 and setting the scope to show only the moderator.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      bannedMembersRequestBuilder = new CometChat.BannedMembersRequestBuilder("guid").setLimit(2).setScopes(["moderator"])

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [bannedMembersRequestBuilder]="bannedMembersRequestBuilder"
      ></cometchat-banned-members>
    </div>
    ```
  </Tab>
</Tabs>

##### 2. SearchRequestBuilder

The SearchRequestBuilder uses [BannedMembersRequestBuilder](/docs/sdk/javascript/group-kick-ban-members) enables you to filter and customize the search list based on available parameters in BannedMembersRequestBuilder. This feature allows you to keep uniformity between the displayed Banned Members list and searched Banned Members.

**Example**

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      searchRequestBuilder = new CometChat.BannedMembersRequestBuilder("cometchat-guid-1").setLimit(2).setSearchKeyword("**")
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [searchRequestBuilder]="searchRequestBuilder"
      ></cometchat-banned-members>
    </div>
    ```
  </Tab>
</Tabs>

***

### Events

[Events](/docs/ui-kit/angular/v4/components-overview#events) are emitted by a `Component`. By using event you can extend existing functionality. Being global events, they can be applied in Multiple Locations and are capable of being Added or Removed.

The `Banned Members` component does not produce any events.

***

## Customization

To fit your app's design requirements, you can customize the appearance of the Groups component. We provide exposed methods that allow you to modify the experience and behavior according to your specific needs.

### Style

Using **Style** you can **customize** the look and feel of the component in your app, These parameters typically control elements such as the **color**, **size**, **shape**, and **fonts** used within the component.

##### 1. BannedMembers Style

You can set the `BannedMembersStyle` to the Banned Members Component to customize the styling.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/iII-209mTdOytBSH/images/eea54262-banned_members_style_web_screens-b22051f809cb8ef3062af5de95b49726.png?fit=max&auto=format&n=iII-209mTdOytBSH&q=85&s=b812141a068e9cff8b580c77f1132f60" width="3600" height="2400" data-path="images/eea54262-banned_members_style_web_screens-b22051f809cb8ef3062af5de95b49726.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import { BannedMembersStyle } from '@cometchat/uikit-shared';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      bannedMembersStyle = new BannedMembersStyle({
        background: "#d6b9fa",
        titleTextColor: "#ffffff",
        separatorColor: "#6d1fcf",
        onlineStatusColor: "#b1f029",
      });
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [bannedMembersStyle]="bannedMembersStyle"
      ></cometchat-banned-members>
    </div>
    ```
  </Tab>
</Tabs>

List of properties exposed by BannedMembersStyle

| Property                       | Description                          | Code                                   |
| ------------------------------ | ------------------------------------ | -------------------------------------- |
| **border**                     | Used to set border                   | `border?: string,`                     |
| **borderRadius**               | Used to set border radius            | `borderRadius?: string;`               |
| **background**                 | Used to set background colour        | `background?: string;`                 |
| **height**                     | Used to set height                   | `height?: string;`                     |
| **width**                      | Used to set width                    | `width?: string;`                      |
| **titleTextFont**              | Used to set title text font          | `titleTextFont?: string,`              |
| **titleTextColor**             | Used to set title text color         | `titleTextColor?: string;`             |
| **searchPlaceholderTextFont**  | Used to set search placeholder font  | `searchPlaceholderTextFont?: string;`  |
| **searchPlaceholderTextColor** | Used to set search placeholder color | `searchPlaceholderTextColor?: string;` |
| **searchTextFont**             | Used to set search text font         | `searchTextFont?: string;`             |
| **searchTextColor**            | Used to set search text color        | `searchTextColor?: string;`            |
| **emptyStateTextFont**         | Used to set empty state text font    | `emptyStateTextFont?: string;`         |
| **emptyStateTextColor**        | Used to set empty state text color   | `emptyStateTextColor?: string;`        |
| **errorStateTextFont**         | Used to set error state text font    | `errorStateTextFont?: string;`         |
| **errorStateTextColor**        | Used to set error state text color   | `errorStateTextColor?: string;`        |
| **loadingIconTint**            | Used to set loading icon tint        | `loadingIconTint?: string;`            |
| **searchIconTint**             | Used to set search icon tint         | `searchIconTint?: string;`             |
| **searchBorder**               | Used to set search border            | `searchBorder?: string;`               |
| **searchBorderRadius**         | Used to set search border radius     | `searchBorderRadius?: string;`         |
| **searchBackground**           | Used to set search background color  | `searchBackground?: string;`           |
| **onlineStatusColor**          | Used to set online status color      | `onlineStatusColor?: string;`          |
| **separatorColor**             | Used to set separator color          | `separatorColor?: string;`             |
| **boxShadow**                  | Used to set box shadow               | `boxShadow?: string;`                  |
| **backButtonIconTint**         | Used to set back button icon tint    | `backButtonIconTint?: string;`         |
| **closeButtonIconTint**        | Used to set close button icon tint   | `closeButtonIconTint?: string;`        |
| **unbanIconTint**              | Used to set unban icon tint          | `unbanIconTint?: string;`              |
| **padding**                    | Used to set padding                  | `padding?: string;`                    |

##### 2. Avatar Style

To apply customized styles to the `Avatar` component in the Banned Members Component, you can use the following code snippet. For further insights on `Avatar` Styles [refer](/docs/ui-kit/angular/v4/avatar#avatar-style)

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit, AvatarStyle } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      avatarStyle = new AvatarStyle({
        backgroundColor: "#cdc2ff",
        border: "2px solid #6745ff",
        borderRadius: "10px",
        outerViewBorderColor: "#ca45ff",
        outerViewBorderRadius: "5px",
        nameTextColor: "#4554ff"
      });
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [avatarStyle]="avatarStyle"
      ></cometchat-banned-members>
    </div>
    ```
  </Tab>
</Tabs>

##### 3. LisItem Style

To apply customized styles to the `List Item` component in the `Banned Members` Component, you can use the following code snippet. For further insights on `List Item` Styles [refer](/docs/ui-kit/angular/v4/list-item)

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit, ListItemStyle } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      listItemStyle: ListItemStyle = new ListItemStyle({
        background: "transparent",
        padding: "5px",
        border: "1px solid #e9b8f5",
        titleColor: "#8830f2",
        borderRadius: "20px",
        width: "100% !important"
      });
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [listItemStyle]="listItemStyle"
      ></cometchat-banned-members>
    </div>
    ```
  </Tab>
</Tabs>

##### 4. StatusIndicator Style

To apply customized styles to the Status Indicator component in the Banned Members Component, You can use the following code snippet. For further insights on Status Indicator Styles [refer](/docs/ui-kit/angular/v4/status-indicator)

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      statusIndicatorStyle: any = ({
        height: '20px',
        width: '20px',
        backgroundColor: 'red'
      });
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [statusIndicatorStyle]="statusIndicatorStyle"
      ></cometchat-banned-members>
    </div>
    ```
  </Tab>
</Tabs>

***

### Functionality

These are a set of small functional customizations that allow you to fine-tune the overall experience of the component. With these, you can change text, set custom icons, and toggle the visibility of UI elements.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import { TitleAlignment } from '@cometchat/uikit-resources';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      titleAlignment = TitleAlignment.left;
      myCustomIcon="your custom icon url"
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [title]="'Your Custom Title'"
        [titleAlignment]="titleAlignment"
        [unbanIconURL]="myCustomIcon"
      ></cometchat-banned-members>
    </div>
    ```
  </Tab>
</Tabs>

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/SNc1XUNfZQ5aQj_q/images/ffe6c712-banned_members_functionality_default_web_screens-08ae3ebd35f8c52f2dbbe5d917df76ca.png?fit=max&auto=format&n=SNc1XUNfZQ5aQj_q&q=85&s=870ee9c4a7b86c41cfeebb8238bfbfca" width="3600" height="2400" data-path="images/ffe6c712-banned_members_functionality_default_web_screens-08ae3ebd35f8c52f2dbbe5d917df76ca.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/bUk-WwSNpBXF92Yc/images/dd3d0ec7-banned_members_functionality_custom_web_screens-11f8be1e082f655a7c9e3a83a95da284.png?fit=max&auto=format&n=bUk-WwSNpBXF92Yc&q=85&s=94c23823fb56422ed33bc8b79d7d0148" width="3600" height="2400" data-path="images/dd3d0ec7-banned_members_functionality_custom_web_screens-11f8be1e082f655a7c9e3a83a95da284.png" />
</Frame>

Below is a list of customizations along with corresponding code snippets

| Property                                                        | Description                                                                                           | Code                                                |
| --------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------- | --------------------------------------------------- |
| **title** <Tooltip tip="Not available">🛑</Tooltip>             | Used to set title in the app heading                                                                  | `[title]="'Your Custom Title'"`                     |
| **errorStateText** <Tooltip tip="Not available">🛑</Tooltip>    | Used to set a custom text response when some error occurs on fetching the list of banned members      | `[errorStateText]="'your custom error state text'"` |
| **emptyStateText** <Tooltip tip="Not available">🛑</Tooltip>    | Used to set a custom text response when fetching the banned members has returned an empty list        | `[emptyStateText]="'your custom empty state text'"` |
| **searchPlaceholder** <Tooltip tip="Not available">🛑</Tooltip> | Used to set custom search placeholder text                                                            | `[searchPlaceholder]="'Custom Search PlaceHolder'"` |
| **unbanIconURL**                                                | Used to set the Unban button Icon in the banned user lists                                            | `[unbanIconURL]="unbanIconURL"`                     |
| **searchIconURL**                                               | Used to set search Icon in the search field                                                           | `[searchIconURL]="searchIconURL"`                   |
| **loadingIconURL**                                              | Used to set loading Icon                                                                              | `[loadingIconURL]="loadingIconURL"`                 |
| **closeButtonIconURL**                                          | Used to set close button Icon                                                                         | `[closeButtonIconURL]="closeButtonIconURL"`         |
| **backButtonIconURL**                                           | Used to set the back button Icon                                                                      | `[backButtonIconURL]="backButtonIconURL"`           |
| **hideError**                                                   | Used to hide error on fetching banned members                                                         | `[hideError]="true"`                                |
| **hideSearch**                                                  | Used to toggle visibility for search box                                                              | `[hideSearch]="true"`                               |
| **hideSeparator**                                               | Used to hide the divider separating the banned member items                                           | `[hideSeparator]="true"`                            |
| **disableUsersPresence**                                        | Used to toggle functionality to show user's presence                                                  | `[disableUsersPresence]="true"`                     |
| **showBackButton**                                              | Hides / shows the back button as per the boolean value                                                | `[showBackButton]="true"`                           |
| **selectionMode**                                               | set the number of banned members that can be selected, SelectionMode can be single, multiple or none. | `[selectionMode]="selectionMode"`                   |
| **titleAlignment**                                              | Alignment of the heading text for the component                                                       | `[titleAlignment]="titleAlignment"`                 |
| **group** <Tooltip tip="Not available">🛑</Tooltip>             | Used to pass group object of which group members will be shown                                        | `[group]="groupObject"`                             |

***

### Advance

For advanced-level customization, you can set custom views to the component. This lets you tailor each aspect of the component to fit your exact needs and application aesthetics. You can create and define your views, layouts, and UI elements and then incorporate those into the component.

***

#### ListItemView

With this property, you can assign a custom ListItem to the Banned Members Component.

**Example**

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/KVBs_L3B6NmQumhv/images/0896c8d2-banned_members_listitemview_default_web_screens-15a05c12fb765eaa70e7b96a72f7ec26.png?fit=max&auto=format&n=KVBs_L3B6NmQumhv&q=85&s=748832e385168501fce04f2f76f9d2bb" width="3600" height="2400" data-path="images/0896c8d2-banned_members_listitemview_default_web_screens-15a05c12fb765eaa70e7b96a72f7ec26.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/nUllIo1r4Bhce7kY/images/33cce937-banned_members_listitemview_custom_web_screens-7cbeab1a7200f2bddfa53aafab52e630.png?fit=max&auto=format&n=nUllIo1r4Bhce7kY&q=85&s=c742b3f1440d1dd40d3f3dcba8ba12a0" width="3600" height="2400" data-path="images/33cce937-banned_members_listitemview_custom_web_screens-7cbeab1a7200f2bddfa53aafab52e630.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [listItemView]="listItemViewTemplate"
      ></cometchat-banned-members>
    </div>
    <ng-template #listItemViewTemplate let-user>
      <div
        [ngStyle]="{
          display: 'flex',
          alignItems: 'left',
          padding: '10px',
          border: '2px solid #e9baff',
          borderRadius: '20px',
          background: '#ffffff'
        }"
      >
        <cometchat-avatar
          [image]="user.getAvatar()"
          [name]="user.getName()"
        ></cometchat-avatar>
        <div [ngStyle]="{ display: 'flex', paddingLeft: '10px' }">
          <div
            [ngStyle]="{
              fontWeight: 'bold',
              color: '#937aff',
              fontSize: '14px',
              marginTop: '5px'
            }"
          >
            {{ user.getName() }}
            <div
              [ngStyle]="{
                color: '#cfc4ff',
                fontSize: '10px',
                textAlign: 'left'
              }"
            >
              {{ user.getStatus() }}
            </div>
          </div>
        </div>
      </div>
    </ng-template>
    ```
  </Tab>
</Tabs>

***

#### SubtitleView

You can customize the subtitle view for each banned members to meet your requirements

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/DVg4aTljRFe0drLF/images/2296ebe3-banned_members_subtitleview_default_web_screens-83d0481c87cfb25e6f6e492f28e1cbcf.png?fit=max&auto=format&n=DVg4aTljRFe0drLF&q=85&s=4dd4c98800fec9be63acd0a48b79b882" width="3600" height="2400" data-path="images/2296ebe3-banned_members_subtitleview_default_web_screens-83d0481c87cfb25e6f6e492f28e1cbcf.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/y8uIEcRYKgfQIY6z/images/9b258933-banned_members_subtitleview_custom_web_screens-bf53645847810d6fe1f5b483cacfdadb.png?fit=max&auto=format&n=y8uIEcRYKgfQIY6z&q=85&s=24c9e34f571a0ad48d18e6c2670a9d04" width="3600" height="2400" data-path="images/9b258933-banned_members_subtitleview_custom_web_screens-bf53645847810d6fe1f5b483cacfdadb.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [subtitleView]="subtitleTemplate"
      ></cometchat-banned-members>
    </div>
    <ng-template #subtitleTemplate>
      <div
        style="display: flex; align-items: left; padding: 10px; font-size: 10px;"
      >
        your custom subtitle view
      </div>
    </ng-template>
    ```
  </Tab>
</Tabs>

***

#### LoadingStateView

You can set a custom loader view using `loadingStateView` to match the loading view of your app.

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/gHkTur1I2BmQKdRR/images/071fb3cb-banned_members_loadingview_default_web_screens-bc9c9ec724aab0a59cf5ca443880c614.png?fit=max&auto=format&n=gHkTur1I2BmQKdRR&q=85&s=99138888a1122944b479087de9285097" width="3600" height="2400" data-path="images/071fb3cb-banned_members_loadingview_default_web_screens-bc9c9ec724aab0a59cf5ca443880c614.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/COIVd1spJ2SNEi43/images/9f8a8718-banned_members_loadingview_custom_web_screens-b12d367adb1838ae1e401c000f39e594.png?fit=max&auto=format&n=COIVd1spJ2SNEi43&q=85&s=8c9aaa3392b59aa8d54339660c623ba8" width="3600" height="2400" data-path="images/9f8a8718-banned_members_loadingview_custom_web_screens-b12d367adb1838ae1e401c000f39e594.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit, LoaderStyle } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      getLoaderStyle: LoaderStyle = new LoaderStyle({
        iconTint: "red",
        background: "transparent",
        height: "20px",
        width: "20px",
        border: "none",
        borderRadius: "0",
      });
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [loadingStateView]="loadingStateView"
      ></cometchat-banned-members>
    </div>
    <ng-template #loadingStateView>
      <cometchat-loader
        iconURL="icon"
        [loaderStyle]="getLoaderStyle"
      ></cometchat-loader>
    </ng-template>
    ```
  </Tab>
</Tabs>

***

#### EmptyStateView

You can set a custom `EmptyStateView` using `emptyStateView` to match the empty view of your app.

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/v4EbHQCGZ54oJcmr/images/56fd6805-banned_members_empty_stateview_default_web_screens-fbec0141c30825b0c3defdec7d47f10e.png?fit=max&auto=format&n=v4EbHQCGZ54oJcmr&q=85&s=76bd1b41b79370fd2ea719799dde031b" width="3600" height="2400" data-path="images/56fd6805-banned_members_empty_stateview_default_web_screens-fbec0141c30825b0c3defdec7d47f10e.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/tI1D0nyKUVcz2LEZ/images/c42b1df7-banned_members_empty_stateview_custom_web_screens-07e3cd903be5a7d6a03b51a15e032579.png?fit=max&auto=format&n=tI1D0nyKUVcz2LEZ&q=85&s=adf4b23d613a8600f4c5ccfa2d4bdde9" width="3600" height="2400" data-path="images/c42b1df7-banned_members_empty_stateview_custom_web_screens-07e3cd903be5a7d6a03b51a15e032579.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [emptyStateView]="emptyStateView"
      ></cometchat-banned-members>
    </div>
    <ng-template #emptyStateView>
      <div>Your Custom Empty State</div>
    </ng-template>
    ```
  </Tab>
</Tabs>

***

#### ErrorStateView

You can set a custom `ErrorStateView` using `errorStateView` to match the error view of your app.

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/gHkTur1I2BmQKdRR/images/05d46901-banned_members_error_stateview_default_web_screens-dd35e6a4f4f95224224c292ec41f2b97.png?fit=max&auto=format&n=gHkTur1I2BmQKdRR&q=85&s=8800a584f9d446686b3b7c81c05de9a3" width="3600" height="2400" data-path="images/05d46901-banned_members_error_stateview_default_web_screens-dd35e6a4f4f95224224c292ec41f2b97.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/t35Dbaum6Rkuz_d5/images/17dd3316-banned_members_error_stateview_custom_web_screens-3ea23993a72cd1ff6d23d2c5f37bf18a.png?fit=max&auto=format&n=t35Dbaum6Rkuz_d5&q=85&s=2fa03a63c4f0bceb38f35a44544400b8" width="3600" height="2400" data-path="images/17dd3316-banned_members_error_stateview_custom_web_screens-3ea23993a72cd1ff6d23d2c5f37bf18a.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [errorStateView]="errorStateView"
      ></cometchat-banned-members>
    </div>
    <ng-template #errorStateView>
      <div style="height: 100vh; width: 100vw">
        <img
          src="icon"
          alt="error icon"
          style="height:100px; width: 100px; justify-content: center; margin-top: 250px; margin-right: 700px;"
        />
      </div>
    </ng-template>
    ```
  </Tab>
</Tabs>

***

#### Menus

You can set the Custom Menu view to add more options to the Banned Members component.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/7-hZ4AEh99NJJtEC/images/969aa561-banned_members_menus_web_screens-c74df9a73655c396eb6a80658e38fadd.png?fit=max&auto=format&n=7-hZ4AEh99NJJtEC&q=85&s=d9b06bc4c3f5ad6769c58245cdd378a9" width="3600" height="2400" data-path="images/969aa561-banned_members_menus_web_screens-c74df9a73655c396eb6a80658e38fadd.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      handleReload(): void {
        window.location.reload();
      }

      getButtonStyle() {
        return {
          height: '20px',
          width: '20px',
          border: 'none',
          borderRadius: '0',
          background: 'transparent'
        };
      }
      getButtonIconStyle() {
        return {
          color: '#7E57C2'
        };
      }
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [menu]="menuTemplate"
      ></cometchat-banned-members>
    </div>
    <ng-template #menuTemplate>
      <div style="margin-right: 20px;">
        <button [ngStyle]="getButtonStyle()" (click)="handleReload()">
          <img src="img" [ngStyle]="getButtonIconStyle()" alt="Reload Icon" />
        </button>
      </div>
    </ng-template>
    ```
  </Tab>
</Tabs>

***

#### Options

You can set the Custom options to the Banned Members component.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/veBAxaR1km9EBnSg/images/3971b1ef-banned_members_options_web_screens-01dec70c8e7aaa42a176e599d0c71520.png?fit=max&auto=format&n=veBAxaR1km9EBnSg&q=85&s=03fd656be42851052f109fd8857da26f" width="3600" height="2400" data-path="images/3971b1ef-banned_members_options_web_screens-01dec70c8e7aaa42a176e599d0c71520.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import { CometChatOption } from '@cometchat/uikit-resources';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      public groupObject!: CometChat.Group;
      ngOnInit(): void {
        CometChat.getGroup("guid").then((group: CometChat.Group) => {
          this.groupObject = group;
        });
      }
      getOptions = (user: any) => {
        const customOptions = [
          new CometChatOption({
            id: "1",
            title: "Title",
            iconURL: icon,
            iconTint:'green',
            backgroundColor: "transparent",
            onClick: () => {
              console.log("Custom option clicked for user:", user);
            },
          }),
        ];
        return customOptions;
      };
      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-banned-members
        *ngIf="groupObject"
        [group]="groupObject"
        [options]="getOptions"
      ></cometchat-banned-members>
    </div>
    ```
  </Tab>
</Tabs>

***
